#ifndef MAMESCENE_H
#define MAMESCENE_H

#include "aitest.h"


class MameView;
class Ship;
class Saucer;
class Asteroid;


class MameScene:public QGraphicsScene
{
	public:
		MameScene(MameView *mv);
		~MameScene();
		void progress();
	protected:
		void drawBackground(QPainter *painter, const QRectF &rect);
		void keyPressEvent(QKeyEvent *keyEvent);
		void keyReleaseEvent(QKeyEvent *keyEvent);
	private:
		void genHelpPathes();
		MameView *mameView;
		Ship *ship;
		Saucer *saucer;
		QList<Asteroid*> asteroidList;

		static QPainterPath *cross;
};



#endif